### Hierarchy

- unknown
  - GetTradeStatisticsRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTradeStatisticsRequest(): GetTradeStatisticsRequest

- Inherited from jspb.Message.constructor

  #### Returns GetTradeStatisticsRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2212

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetTradeStatisticsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2213

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTradeStatisticsRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeStatisticsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2216

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeStatisticsRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeStatisticsRequest, reader: BinaryReader): GetTradeStatisticsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2217

  #### Parameters

  - ##### message: GetTradeStatisticsRequest

  - ##### reader: BinaryReader

  #### Returns GetTradeStatisticsRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeStatisticsRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2215

  #### Parameters

  - ##### message: GetTradeStatisticsRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTradeStatisticsRequest ): GetTradeStatisticsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2214

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeStatisticsRequest

  #### Returns GetTradeStatisticsRequest . AsObject

Generated using TypeDoc